
var serviceURL = "https://dictionary.abyssinica.com/";
var appName = "AbyssinicaDictionary";
var appSettings;
var historyLimit = 20;
var baseWordViewModel = null;
var contentPageSelector = "#dailySineQalContainer, #searchResultsContainer, #noSearchResultContainer, #historyListContainer, #helpContainer, .wikiContainer"; //, #checkAbyssinicaWebContainer";
var footerIconSelector = "#footerDailySineQalIcon, #footerHistoryIcon, #footerHelpIcon";
var adElementSelector = ".audioPronunciationAd, .exampleProverbsAd, .removeAdsUpgradeAd, .abyssinicaAmharicAd, #adsContainer, .moreContentsAd";
var specialContentSelector = ".wanosReaderIcon, #proverbsContainer, #dailyProverbAndQnieContainer";
var productsList = "";
var lastScrollPosition;
var dictionaries = "9";

$(document).ready(documentReady);

function documentReady() {

    
    $("#barIcon").click(function () {
        loadPage("Help");
    });  
    
    setupAbyssinica();   

    $(window).resize(function () {
        if (window.scrollY === 1) {
            window.scrollTo(0, 0);
        }
        else
            window.scrollTo(0, 1);
    });

    $(window).scroll(function () {
             
        var scrollPosition = window.scrollY; 

        // Scrolling down searchWordLabel
        if (scrollPosition > 50 && scrollPosition > lastScrollPosition) {//lastScrollPosition) {
            // If the header is currently showing
            if ($(".headerTable").is(":visible")) {
                $('.headerTable').hide("drop", { direction: "up" }, "slow");

                var currentWord = $("#txtWordAmharic").val();
                if (currentWord === "" || currentWord === null) {
                    currentWord = "Search - ፈልግ";
                }
                $("#searchWordSpan").text(currentWord);
                $("#searchWordLabelInner").show("drop", { direction: "down" }, "slow");

            }
        }
        else { // Scrolling up
            // If the header is currently hidden
            if (!$(".headerTable").is(":visible")) {
                $('.headerTable').show("drop", { direction: "down" }, "slow");
                $("#searchWordSpan").text("");
                $("#searchWordLabelInner").hide("drop", { direction: "up" }, "slow");
            }
        }

        lastScrollPosition = scrollPosition;
    });


    $("#searchWordLabelInner").click(function () {
        window.scrollTo(0, 1);
        // If the header is currently hidden
        if (!$(".headerTable").is(":visible")) {
            $('.headerTable').show("drop", { direction: "down" }, "slow");
            $("#searchWordSpan").text("");
            $("#searchWordLabelInner").hide("drop", { direction: "up" }, "slow");
        }
    });
  
}
//Functions 






function loadPage(pageId) {
    $(contentPageSelector).hide();
    $(footerIconSelector).removeClass("footerHighlight");
      
    switch (pageId) {
       
        case "SearchPage":
            $("#searchResultsContainer").show();
            break;       
        case "Help":
            $("#helpContainer").show();
            $("#adsContainer").hide();
            $("#footerHelpIcon").addClass("footerHighlight");
            $("#txtWordAmharic").val("");
            break;
        case "NoSearchResult":
            $("#noSearchResultContainer").show();
            break;
        default:
            break;
    }

    window.scrollTo(0, 0);

}

function goWordSearch(elementId) {
    var searchTerm = $("#" + elementId).text();
    goSearch(searchTerm);
}


function showLoadIndicator() {
    $("#loadIndicator, .loadIndicator").show();
}

function hideLoadIndicator() {
    $("#loadIndicator, .loadIndicator").hide();
}

function processSearchResult(res) {
    var result = $("<textarea/>").html(res).text();
    $("#searchResultsContainer").html(result);
    
    var defnFound = $(".definitionContent").size();
    if (result === "" || !defnFound) {
        loadPage("NoSearchResult");
    }
    else {     
        loadPage("SearchPage");          
    }
  

}

var lastIndexedWord = "";


function goSuggestionSearch(element) {
    var searchText = $(element).find(".suggWord").text();
    
    if(searchText !== "") {
      
        goSearch(searchText);
    }
}



//Abyssinica Settings
function setupAbyssinica() {
        
    $("#btnAmharicSearch").click(function () {
        var searchTerm = $("#txtWordAmharic").val();
        goSearch(searchTerm);
    });
        
   $("#txtWordAmharic").bind("keyup", function (e) {

        var searchTerm = $(this).val();        
            goSearch(searchTerm);       
    });

}
var Languages = { "Amharic": "Amharic", "English": "English" };
function goSearch(sTerm) {
    
     var searchTerm = sTerm.trim();
     if (searchTerm !== "" && searchTerm !== null) {
          $("#txtWordAmharic").val(searchTerm);
          var r = ScriptService.getOfflineDictionarySearchResult("getSearchResult|" + searchTerm);
          processSearchResult(r);
     }
    
}
